Bug 704591 - SELinux is preventing /opt/google/talkplugin/GoogleTalkPlugin from 'getattr' accesses on the sock_file /dev/gpmctl.
Summary: SELinux is preventing /opt/google/talkplugin/GoogleTalkPlugin from 'getattr' ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 15
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:a0b2f297b5f...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-05-13 17:11 UTC by Matěj Cepl
Modified: 2018-04-11 08:25 UTC (History)
3 users (show)

Fixed In Version: selinux-policy-3.9.16-24.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-25 03:30:19 UTC


Attachments (Terms of Use)

Description Matěj Cepl 2011-05-13 17:11:28 UTC
SELinux is preventing /opt/google/talkplugin/GoogleTalkPlugin from 'getattr' accesses on the sock_file /dev/gpmctl.

That's from telepathy-gabble I guess

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that GoogleTalkPlugin should be allowed getattr access on the gpmctl sock_file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep GoogleTalkPlugi /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                staff_u:staff_r:nsplugin_t:s0-s0:c0.c1023
Target Context                system_u:object_r:gpmctl_t:s0
Target Objects                /dev/gpmctl [ sock_file ]
Source                        GoogleTalkPlugi
Source Path                   /opt/google/talkplugin/GoogleTalkPlugin
Port                          <Neznámé>
Host                          (removed)
Source RPM Packages           google-talkplugin-2.0.6.0-1
Target RPM Packages           
Policy RPM                    selinux-policy-3.9.16-21.fc15
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 2.6.38.5-22.fc15.x86_64 #1 SMP Mon
                              May 2 19:28:55 UTC 2011 x86_64 x86_64
Alert Count                   2
First Seen                    Pá 6. květen 2011, 22:42:05 CEST
Last Seen                     Pá 6. květen 2011, 22:45:00 CEST
Local ID                      5b99ad68-30c5-46dc-b677-54aca5bb8955

Raw Audit Messages
type=AVC msg=audit(1304714700.608:1644): avc:  denied  { getattr } for  pid=11646 comm="GoogleTalkPlugi" path="/dev/gpmctl" dev=devtmpfs ino=15407 scontext=staff_u:staff_r:nsplugin_t:s0-s0:c0.c1023 tcontext=system_u:object_r:gpmctl_t:s0 tclass=sock_file


type=SYSCALL msg=audit(1304714700.608:1644): arch=i386 syscall=llistxattr per=400000 success=yes exit=0 a0=a812c2c a1=ffdc4fc8 a2=41c41ff4 a3=3 items=0 ppid=1 pid=11646 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=1 comm=GoogleTalkPlugi exe=/opt/google/talkplugin/GoogleTalkPlugin subj=staff_u:staff_r:nsplugin_t:s0-s0:c0.c1023 key=(null)

Hash: GoogleTalkPlugi,nsplugin_t,gpmctl_t,sock_file,getattr

audit2allow

#============= nsplugin_t ==============
allow nsplugin_t gpmctl_t:sock_file getattr;

audit2allow -R

#============= nsplugin_t ==============
allow nsplugin_t gpmctl_t:sock_file getattr;

Comment 1 Daniel Walsh 2011-05-17 09:23:19 UTC
Fixed in selinux-policy-3.9.16-24.fc15

Comment 2 Fedora Update System 2011-05-17 16:12:26 UTC
selinux-policy-3.9.16-24.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/selinux-policy-3.9.16-24.fc15

Comment 3 Fedora Update System 2011-05-18 18:41:09 UTC
Package selinux-policy-3.9.16-24.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.9.16-24.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/selinux-policy-3.9.16-24.fc15
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-05-25 03:29:29 UTC
selinux-policy-3.9.16-24.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.